using System;
using System.Windows.Forms;

namespace Raw2Picture
{
    public partial class HelpForm : Form
    {
        private string NEWLINE = Environment.NewLine;

        public HelpForm()
        {
            InitializeComponent();
        }

        private void HelpForm_Load(object sender, EventArgs e)
        {
            string helpText = "";

            try
            {
                using (System.IO.StreamReader sr = new System.IO.StreamReader("readme.txt"))
                {
                    while (!sr.EndOfStream)
                    {
                        helpText += sr.ReadLine();
                        helpText += NEWLINE;
                    }
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Raw2Picture");
            }

            textBox1.Text = helpText;
            textBox1.SelectionStart = 0;
            textBox1.SelectionLength = 0;
        }
    }
}